changeset 898:db0f536aee7c

Fix hw-target builds so prerequisites build if they don't already exist.
author Rob Landley <rob@landley.net>
date Sun, 22 Nov 2009 03:56:04 -0600
parents 850da666acc6
children 726cac165450
files cross-compiler.sh root-filesystem.sh sources/functions.sh
diffstat 3 files changed, 12 insertions(+), 10 deletions(-) [+]
line wrap: on
line diff
--- a/cross-compiler.sh	Sat Nov 21 04:27:58 2009 -0600
+++ b/cross-compiler.sh	Sun Nov 22 03:56:04 2009 -0600
@@ -19,9 +19,6 @@
 echo -e "$CROSS_COLOR"
 echo "=== Building $STAGE_NAME"
 
-blank_tempdir "$STAGE_DIR"
-blank_tempdir "$WORK"
-
 # Build binutils, gcc, and ccwrap
 
 FROM_ARCH="" PROGRAM_PREFIX="${ARCH}-" build_section binutils-gcc
--- a/root-filesystem.sh	Sat Nov 21 04:27:58 2009 -0600
+++ b/root-filesystem.sh	Sun Nov 22 03:56:04 2009 -0600
@@ -30,9 +30,6 @@
 echo -e "$NATIVE_COLOR"
 echo "=== Building $STAGE_NAME"
 
-blank_tempdir "$STAGE_DIR"
-blank_tempdir "$WORK"
-
 # Determine which directory layout we're using
 
 if [ -z "$ROOT_NODIRS" ]
--- a/sources/functions.sh	Sat Nov 21 04:27:58 2009 -0600
+++ b/sources/functions.sh	Sun Nov 22 03:56:04 2009 -0600
@@ -588,18 +588,26 @@
 
 function check_for_base_arch()
 {
+  blank_tempdir "$STAGE_DIR"
+  blank_tempdir "$WORK"
+
   # If we're building something with a base architecture, symlink to actual
   # target.
 
-  if [ "$ARCH" != "$ARCH_NAME" ] && [ -e "$BUILD/$STAGE_NAME-$ARCH" ]
+  if [ "$ARCH" != "$ARCH_NAME" ]
   then
-    echo === Using existing $STAGE_NAME-"$ARCH"
-
     link_arch_name $STAGE_NAME-{"$ARCH","$ARCH_NAME"}
     [ -e $STAGE_NAME-"$ARCH".tar.bz2 ] &&
       link_arch_name $STAGE_NAME-{"$ARCH","$ARCH_NAME"}.tar.bz2
 
-    return 1
+    if [ -e "$BUILD/$STAGE_NAME-$ARCH" ]
+    then
+      echo "=== Using existing ${STAGE_NAME}-$ARCH"
+
+      return 1
+    else
+      mkdir -p "$BUILD/$STAGE_NAME-$ARCH" || dienow
+    fi
   fi
 }